# Contributing

If you wish to contribute to the codebase or documentation, feel free to fork the repository and submit a
pull request. We use ESLint and prettier to enforce a consistent coding style, so having that set up in your editor of choice
is a great boon to your development process.

## Setup

To get ready to work on the codebase, please do the following:

1. Fork & clone the repository, and make sure you're on the **main** branch
2. Run `yarn --immutable` ([install](https://yarnpkg.com/getting-started/install))
3. Code your heart out!
4. Run `yarn lint` to run ESLint
5. Run `yarn format` to run prettier
6. Run `yarn test` to run the tests
7. Submit a pull request (Make sure you follow the [conventional commit format](./COMMIT_CONVENTION.md))
